function addTrainingPosition(posName, posID, posValue)
{
	var input = '<input id="' + posID + '" class="coloredAttribute" onchange="colorizedAttributeChanged(this.id, this.value);" type="text" value="' + posValue + '"/>';
	var html = "<tr><td class='attributeName'>" + posName + "</td><td class='attributeValue'>" + input + "</td></tr>";	
    $("#playerTrainingPos").append(html);    
}

function clearTrainingPositions()
{
	$("#playerTrainingPos").find("tr:gt(0)").remove();
}

function updatePitchColors()
{
	try
	{
		setPlayerColor("pPositions_Goalkeeper", "pitchGK");
		setPlayerColor("pPositions_Sweeper", "pitchSW");
		//def
		setPlayerColor("pPositions_DefenderCentral", "pitchDC");
		setPlayerColor("pPositions_DefenderLeft", "pitchDL");
		setPlayerColor("pPositions_DefenderRight", "pitchDR");
		//def med
		setPlayerColor("pPositions_DefensiveMidfielder", "pitchDMC");
		setPlayerColor("pPositions_WingBackLeft", "pitchWBL");
		setPlayerColor("pPositions_WingBackRight", "pitchWBR");
		//med
		setPlayerColor("pPositions_MidfielderCentral", "pitchMC");
		setPlayerColor("pPositions_MidfielderLeft", "pitchML");
		setPlayerColor("pPositions_MidfielderRight", "pitchMR");
		//am
		setPlayerColor("pPositions_AttackingMidCentral", "pitchAMC");
		setPlayerColor("pPositions_AttackingMidLeft", "pitchAML");
		setPlayerColor("pPositions_AttackingMidRight", "pitchAMR");
		
		setPlayerColor("pPositions_AttackerCentral", "pitchFC");		
	}
	catch(err)
	{

	}		
}

function incAttribute(playerPitchID)
{
	try
	{
		switch(playerPitchID)
		{
			case 'pitchGK':
				incAttributeAux("pPositions_Goalkeeper");
			break;
			case 'pitchSW':
				incAttributeAux("pPositions_Sweeper");
			break;
			//def
			case 'pitchDC':
				incAttributeAux("pPositions_DefenderCentral");
			break;
			case 'pitchDL':
				incAttributeAux("pPositions_DefenderLeft");
			break;
			case 'pitchDR':
				incAttributeAux("pPositions_DefenderRight");
			break;
			//med def	
			case 'pitchDMC':
				incAttributeAux("pPositions_DefensiveMidfielder");
			break;
			case 'pitchWBL':
				incAttributeAux("pPositions_WingBackLeft");
			break;
			case 'pitchWBR':
				incAttributeAux("pPositions_WingBackRight");
			break;
			//med
			case 'pitchMC':
				incAttributeAux("pPositions_MidfielderCentral");
			break;
			case 'pitchML':
				incAttributeAux("pPositions_MidfielderLeft");
			break;
			case 'pitchMR':
				incAttributeAux("pPositions_MidfielderRight");
			break;
			//att med
			case 'pitchAMC':
				incAttributeAux("pPositions_AttackingMidCentral");
			break;
			case 'pitchAML':
				incAttributeAux("pPositions_AttackingMidLeft");
			break;
			case 'pitchAMR':
				incAttributeAux("pPositions_AttackingMidRight");
			break;
			//
			case 'pitchFC':
				incAttributeAux("pPositions_AttackerCentral");
			break;
			
			
		}
		updatePitchColors();
	}
	catch(err)
	{

	}		
	
}

function incAttributeAux(attributeID)
{
	try
	{
		var valStr = $("#" + attributeID).attr('value');
		var val = parseInt(valStr);
		if(isNaN(val))
			val = 0;
		if(val == 20)
			val = 1;
		else
		{
			if(val == 1)
				val += 4;
			else val += 5;
			if(val > 20)
				val = 20;
		}
		$("#" + attributeID).attr('value', val);
		attributeChanged(attributeID, val);
	    colorizedAttributeChanged(attributeID, val);
    }
    catch(err)
    {
    
    }    
}

function setPlayerColor(attributeID, playerPitchID)
{
    try
    {
		var valStr = "" + $("#" + attributeID).attr('value');
		var val = parseInt(valStr);
		if(isNaN(val))
			val = 0;
		
		
		var newClassName = "";
	    if(val < 5)
	    {
	        newClassName = "";//"pitchGray";
	    }
	    else
	    {
	        if (val <= 8)
	            newClassName = "pitchWeakYellow";
	        else if (val <= 9)
	            newClassName = "pitchYellow";
	        else if (val < 14)
	            newClassName = "pitchOrange";            
	        else if (val <20)
	            newClassName = "pitchWeakGreen";                        
	        else
	            newClassName = "pitchGreen";                                    
	    }		
	    $("#" + playerPitchID).removeClass("pitchGray pitchWeakYellow pitchYellow pitchOrange pitchWeakGreen pitchGreen").addClass(newClassName);
    }
    catch(err)
    {
    
    }
}
